//------------------------------------------------------------------------------
// File: IGrabTsForBD.h
//   Define interface of GrabTsForBD.dll
//------------------------------------------------------------------------------
#pragma once

#ifdef __cplusplus
extern "C" {
#endif

// GrabTsForBD filter CLSID
// {7BFB0A35-2A0B-4bec-B720-22DBF6B99E8E}
DEFINE_GUID(CLSID_GrabTsForBD,
0x7bfb0a35, 0x2a0b, 0x4bec, 0xb7, 0x20, 0x22, 0xdb, 0xf6, 0xb9, 0x9e, 0x8e);

// IGrabTsForBD interface IID
// {71AB98FB-6E84-47ed-8EAC-4D92F3AF55F7}
DEFINE_GUID(IID_IGrabTsForBD, 
0x71ab98fb, 0x6e84, 0x47ed, 0x8e, 0xac, 0x4d, 0x92, 0xf3, 0xaf, 0x55, 0xf7);

// Definitiona of IGrabTsForBD interface
DECLARE_INTERFACE_(IGrabTsForBD, IUnknown) {
	STDMETHOD(get_ReadyCount)
		( THIS_
			DWORD* pdwRemain // [out] the number of remaining TS block
		) PURE;
	STDMETHOD(get_TsStream)
		( THIS_
			BYTE** ppDst, // [out] pointer to TS stream data
			DWORD* pdwSize, // [out] number of bytes of TS stream data
			DWORD* pdwRemain // [out] the number of remaining TS block
        ) PURE;
	STDMETHOD(purge_TsStream)
		( THIS
		) PURE;
};

#ifdef __cplusplus
}
#endif
